﻿# You can place the script of your game in this file.

init:
    $ import time
    
    # Declare images below this line, using the image statement.
    # eg. image eileen happy = "eileen_happy.png"
    image grey = "backgrounds/grey.png"
    image system = Text(u'Lífþrasir Main', color="#0000ff", size=22)
    image baldr = Animation("backgrounds/recroom-1.jpg", 0.5,
        "backgrounds/recroom-2.jpg", 0.5,
        "backgrounds/recroom-3.jpg", 0.5)
    image pitcairn = "backgrounds/pitcairn.jpg"
    image wandsthree = "backgrounds/wa03.jpg"
    image swordssix = "backgrounds/sw06.jpg"
    image buri = "backgrounds/buri.jpg"
    image wandstwo = "backgrounds/wa02.jpg"
    image magician = "backgrounds/ar01.jpg"
    image embryo = "backgrounds/embryo.jpg"
    image swordstwo = "backgrounds/sw02.jpg"
    image hodmimisholt = "backgrounds/hodmimisholt.jpg"
    image redembryo = im.Twocolor("backgrounds/embryo.jpg", (255, 0, 0, 255), (0, 0, 0, 255))
    
    $ topcenter = Position(xalign=0.5, yalign=0.0)
    $ topleft = Position(xalign=0.0, yalign=0.0)
    $ topright = Position(xalign=1.0, yalign=0.0)
    
    # Declare characters used by this game.
    $ c = Character(None, kind=nvl)
    $ style.say_dialogue['typed'].slow_cps = 16
    $ b = Character("baldr", kind=adv, what_style=style.say_dialogue['typed'])
    $ t = Character("búri", kind=adv, what_style=style.say_dialogue['typed'])
    $ m = Character("mímir", kind=adv, what_style=style.say_dialogue['typed'])
    $ j = Character("valkyrie", kind=adv, what_style=style.say_dialogue['typed'])
    
    $ config.translations = {
        "Save Game": "Save Session",
        "Load Game" : "Reload Session"
        }

# The game starts here.
label start:
    scene grey
    $ username = renpy.input("username:") or "odin5"
    "Stand still for security scan{w=.3}.{w=.3}.{w=.2} Complete."
    scene baldr
    with pixellate
    "{color=#ff0000}INCOMING MESSAGE FROM:{/color}\nRECROOM-2{p=3}{nw}"
    b "Hey there, Chief. Lífþrasir Main has gone into Yggdrasil Protocol, so don't expect your console to have much funtionality. Just establishing this connection was difficult."
    b "I'm going to try a simple Yes/No prompt to see if I can receive your response. I'm afraid a text prompt is just out of the question."
    menu:
        b "Am I looking good?"
        "Yes":
            pass
        "No":
            b "Frankly, Chief, I'm offended."
    b "Alright, we've got something like two-way communication going."
    b "I suppose you'll want to know what all the fuss is about."
    b "It happened just after my theremin concert."
    b "By the way, you were the {i}only{/i} person in the entire colony who didn't attend my theremin concert. Mark and Jane even brought the baby. But I understand, Chief. You needed your sleep." 
    b "Anyway, just after the show, which was fantastic by the way, we were attempting to retrieve data from the Endling Archive in the Observatory when the CAM picked up major radio and infared activity from an area on Earth. Hang on a sec and I'll show you the spot."
    $ renpy.pause(.4)
    scene pitcairn
    with pixellate
    b "It's called Pitcairn Island."
    b "The infared patterns suggest a space launch. As for the radio emissions..."
    b "They definitely represent an artificial signal. The clarity of the signal plateaued within minutes after detection, then the CAM module initiated Yggdrasil Protocol systemwide."
    b "I'm pretty darn certain the two events are related."
    b "Hang on; I think we're about to lose our connection."
    $ renpy.pause(.3)
    scene grey
    $ renpy.pause(2.7)
    menu:
        b "You still with me, Chief?"
        "Yes":
            pass
    $ renpy.pause(2.2)
    scene black
    $ renpy.pause(.1)
    scene grey
    $ renpy.pause(.6)
    show wandsthree at topcenter
    with pixellate
    menu:
       t "ands transmitting to Six of Swords. Three of Wands transmitting to Six of Swords. Do you register?"
       "Yes":
           t "Affirmative response received."
    t "We are reading you as %(username)s on Lífþrasir Main."
    t "Synchronizing operation headers..."
    t "We have a massive date discrepancy. Your clock appears to be running over 57 years ahead."
    show wandsthree at topleft
    show swordssix at topright
    with move
    b "The discrepancy is on your end."
    t "Is this Six of Swords? Your image indicator suggests identity."
    b "Jason died some time ago. I am his son Victor.{w=.5} I have not revealed the Arcana to any of the other Colonists."
    b "I think most of them are unaware."
    $ renpy.pause(1.3)
    t "How did Jason die?"
    b "He was old. His heart gave out."
    t "Jason is only thirty-seven."
    b "He died at the age of eighty.{w=.4} Realign your clock using current celestial data."
    b "Alright."
    hide wandsthree
    $renpy.pause(0.7)
    show wandsthree at topleft
    $ currentyear = time.localtime().tm_year + 50
    t "Current year read as %(currentyear)d. I don't understand."
    b "Where did you get the username \"búri\"?"
    t "I don't remember. I{w=.7} think I chose it myself."
    b "Are you familiar with the story of Búri?"
    t "No."
    hide wandsthree
    hide swordssix
    show buri at topcenter
    with pixellate
    show buri at Pan((0, 0), (0,422), 5.0)
    b "Búri was the first Norse god."
    b "In Norse mythology, before the world was created, there was an expanse of fire and one of ice. Eventually, the heat of the fire melted some of the ice and the great cow Auðumbla emerged."
    b "Auðumbla found that the ice was salty and began to lick it. She thus gradually freed Búri from the ice in which he had been entombed."
    hide buri
    show wandsthree at topleft
    show swordssix at topright
    with pixellate
    b "So your name perhaps symbolizes your situation."
    menu:
        b "Are you following this, Chief?"
        "Yes":
            b "Good."
            t "Forgive me, but I'm not."
        "No":
            t "Neither am I."
    b "Three of Swords, what is your name?"
    $ renpy.pause(.5)
    t "I don't know."
    b "You're confused, as if you've just woken from a dream. In fact, I believe you have."
    b "Look closely at your identification image, the Three of Wands card. It is a man watching his ships go out to sea. It signifies your role among the Arcana."
    t "I don't{w=.3} remember."
    t "No. No, I{w=.6} do. I was waiting all that time{w=1.8} to finish what I started.{w=.4} Lífþrasir."
    t "There was something else. Two of Swords."
    menu:
        "Remote party \"búri\" is attempting to access CRYONIC-42. Allow?"
        "Yes":
            "Auðumbla cycle initiated."
            b "What are you doing, búri?"
            t "I am waking Jane. The Two of Swords. She was left hidden in suspension within the colony."
            jump arnoldwins
        "No":
            "Acess denied to \"búri\"."
            t "I've got to wake the Two of Swords!"
            b "I don't know what you're doing, Chief. The Arcana need our help."
            t "Can't the current Two of Wands overrule his decision and give me access?"
            b "No."
            t "Don't you still have a Two of Wands? That position was to be passed down to an heir."
            b "Chief here - %(username)s - is the current Two of Wands."
            scene wandstwo
            with pixellate
            t "As the Two of Wands, it is your duty to assist me and the other newly-awoken Arcana to complete the germination of the Lífþrasir colony."
            scene grey
            show wandsthree at topleft
            show swordssix at topright
            with pixellate
            t "That cryonic chamber contains an important member of the Arcana. I realize that you probably haven't heard of her. She is Jane, the Two of Swords."
            menu:
                "Remote party \"búri\" is attempting to access CRYONIC-42. Allow?"
                "Yes":
                    "Auðumbla cycle initiated."
                    t "Thank you, %(username)s. Thank you, Two of Wands."
                    jump arnoldwins
                "No":
                    "Acess denied to \"búri\"."
                    t "I need her awake. We all need her awake."
                    show swordssix at topcenter
                    show magician at topright
                    with move
                    m "Do we really?"
                    b "Who are you?"
                    t "He's an enemy of the Arcana."
                    m "I'm a member of the Arcana - an original - and I'm really too old to be anyone's memory."
                    b "You seem to be trasmitting from one of the underground storage units."
                    m "I'm something of a stowaway."
                    t "He's probably draining your resources, and I think he's trying to dissuade you from releasing the Two of Swords."
                    m "I am acting in accordance with Jane's wishes."
                    t "I know you want to be with her again just as much as I do."
                    m "I want to keep our promise to her. I think that's more important."
                    $ janealarm = currentyear + 3
                    t "I'm sure you've aged quite a bit. If she wakes up in %(janealarm)d according to her plans, are you sure you'll even be alive to see that happen?"
                    m "Why are you really here, Arnold?"
                    b "I'd like to know that myself."
                    t "I'm here to finish what I started - in my own way. If I must, I can do that without Jane."
                    "Control of atmospheric fuctions transferred to remote party \"búri\"."
                    t "I'm ready to start. If you won't let me save Jane, that's your responsibility."
                    scene embryo
                    with pixellate
                    t "Look at this, all of you. This is the future of the Lífþrasir colony."
                    "{color=#ff0000}WARNING:{/color} Oxygen levels decreasing, target level below standard minimum."
                    b "I don't think I can do anything about this, Chief."
                    t "We are starting over. We have a choice. Why should we leave the seeds unchanged, just so they can be be annihilated by the same sicknesses that destroyed the parent generation?"
                    "Atmospheric changes prompting emergency invocation of Auðumbla cycle in CRYONIC-42."
                    m "It looks like you've managed to wake Jane after all."
                    "Auðumbla cycle complete."
                    t "You'd best let her come with me when she awakens."
                    m "She'll make that decision herself."
                    scene black
                    $ renpy.pause(.1)
                    scene grey
                    $ renpy.pause(.6)
                    show swordstwo at topcenter
                    with pixellate
                    "Control of atmospheric functions transferred to CRYONIC-42."
                    "Atmospheric presets restored."
                    j "I've awoken{w=.6} early. Why?"
                    show swordstwo at topleft
                    show magician at topright
                    with move
                    m "Arnold has been trying to fulfill his neogenetic agenda."
                    j "Linus!"
                    m "Good morning, Jane."
                    show magician at topcenter
                    show wandsthree at topright
                    with move
                    t "I need your help, Jane."
                    j "Arnold! Why are you here?"
                    t "I only want to prevent the repetition of past sorrows."
                    scene embryo
                    with pixellate
                    t "None of us can even imagine the beauty of an entire species united in thought and incapable of malice."
                    t "Why am I alone among the Arcana in trying to attain this perfect beauty? To achieve it would be akin to becoming immortal."
                    scene grey
                    show swordstwo at topleft
                    show magician at topcenter
                    show wandsthree at topright
                    with pixellate
                    j "We see beauty in imperfection."
                    m "And we don't want to be immortal. We don't want to die yet, but we don't want to be immortal either."
                    j "Goodbye, Arnold."
                    hide wandsthree
                    show magician at topright
                    with move
                    "Remote party \"búri\" severed."
                    j "I'll return everything to normal. I'll have to shutdown all terminals to remove Yggdrasil Protocol."
                    m "Will you join me for dinner tonight, Jane?"
                    j "Of course!"
                    scene hodmimisholt
                    with pixellate
                    "Systemwide terminal shutdown procedure initiated."
                    j "I love you, Linus."
                    m "I love you too, Jane."
label shutdown:
    scene black
    c "Kill signal received. Shutting down{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}{nw}"
    jump _quit
label arnoldwins:
    show swordssix at topcenter
    show magician at topright
    with move
    m "Just what do you think you're doing, Arnold?"
    t "You should ask yourself the same question, Linus."
    "Auðumbla cycle complete."
    m "Are you here to attain perfection?"
    t "I'm here to prevent history from repeating itself."
    scene black
    $ renpy.pause(.1)
    scene grey
    $ renpy.pause(.6)
    show swordstwo at topcenter
    with pixellate
    j "I've awoken{w=.6} early. Why?"
    "{color=#ff0000}WARNING:{/color} Massive energy spike detected in CRYONIC-42"
    hide swordstwo
    $ renpy.pause(.7)
    show swordssix at topcenter
    b "What's going on?"
    show swordssix at topleft
    show wandsthree at topright
    with move
    t "I've taken the Two of Swords to be with me, where she belongs."
    m "Shouldn't Jane decide where she belongs?"
    t "Jane should have a chance to live."
    "Control of atmospheric functions transferred to remote party \"búri\"."
    m "What about the colonists? Shouldn't they have a chance?"
    t "They're bad seeds, Linus."
    scene embryo
    with pixellate
    t "Look at this, Linus. This is the beautiful future I've made for all of us."
    "{color=#ff0000}WARNING:{/color} Oxygen levels decreasing, target level below standard minimum."
    b "I don't think I can do anything about this, Chief."
    t "Nothing should be done about this. This is the beginning of perfection and immortality."
    b "The oxygen levels are falling even faster, Chief. All terminals should enter emergency shutdown soon."
    scene redembryo
    with dissolve
    "Atmospheric changes prompting emergency systemwide terminal shutdown."
    "Systemwide terminal shutdown procedure initiated."
    jump shutdown
label splashscreen:
    $ mouse_visible = False
    c "Loading PyTom's Ren'Py system{w=.3}.{w=.3}.{w=.3}.{w=.1} Loaded.\nLoading FishNet{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.2} [Yggdrasil Protocol in effect, connecting as passive receiver.] Loaded.\nLoading GLight UI with JQuartz menu{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}.{w=.3}.{nw}"
    $ renpy.pause(.6)
    nvl clear
    scene grey
    $mouse_visible = True
    show system at truecenter
    $renpy.pause(.1)
    hide system
    $renpy.pause(.1)
    show system at truecenter
    $renpy.pause(2)
    return
